# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QS.exe
OBJFILES = QS.obj MainMDI.obj TextWins.obj NoteWins.obj FileWin.obj RptWin.obj \
   MsgWins.obj MsgInWin.obj PGPpassEx.obj PackDlg.obj PrintDlg.obj SmtpDlgs.obj \
   AddressDlgs.obj OldOpenDlg.obj AboutDlgs.obj SaveDlg.obj GetStrtDlg.obj \
   WaitDlg.obj DelGrpsDlg.obj ClipReply.obj DirBrow.obj RemailerDlgs.obj \
   HttpProxyDlgs.obj UrlsDlgs.obj NewNameDlgs.obj MailboxWins.obj MixmastDlg.obj \
   MixInstDlg.obj UPDUnzipDlg.obj UPDateDlg.obj UPDedDlg.obj UPDFtpDlg.obj \
   Wiper.obj OpenDlgs.obj MailboxDlgs.obj AddrEditDlgs.obj PreferDlg.obj \
   HelpDlgs.obj HelpIndexDlgs.obj DocMsgDlg.obj DelDocsDlg.obj View.obj \
   UseLibDlg.obj PickBoxDlgs.obj QueueDlgs.obj MixKeyImptDlgs.obj MixKeyWins.obj \
   MixProbWins.obj CpkKeyImptDlgs.obj CpkKeyWins.obj WelcomeDlgs.obj \
   FirstDocsDlgs.obj PgpKeyImptDlgs.obj PgpKeyWins.obj MixKeyClrDlgs.obj \
   QSMsgBoxDlgs.obj MixKeyDelDlgs.obj PgpKeyGenDlgs.obj PgpKeyDelDlgs.obj \
   PgpKeyExpDlgs.obj PgpKeyGenDoDlgs.obj PgpKeyGenDoThrds.obj Mixmaster.obj \
   FileMan.obj Fmxutils.obj MimeMan.obj Version.obj Global.obj HeadMan.obj \
   Console.obj pop3mail.obj MixMsg.obj pgpmail.obj PgpFiles.obj Cyberpunk.obj \
   PgpSdk.obj PGPbuffers.obj
RESFILES = QS.res
RESDEPEN = $(RESFILES) MainMDI.dfm TextWins.dfm NoteWins.dfm FileWin.dfm \
   RptWin.dfm MsgWins.dfm MsgInWin.dfm PGPpassEx.dfm PackDlg.dfm PrintDlg.dfm \
   SmtpDlgs.dfm AddressDlgs.dfm OldOpenDlg.dfm AboutDlgs.dfm SaveDlg.dfm \
   GetStrtDlg.dfm WaitDlg.dfm DelGrpsDlg.dfm ClipReply.dfm DirBrow.dfm \
   RemailerDlgs.dfm HttpProxyDlgs.dfm UrlsDlgs.dfm NewNameDlgs.dfm \
   MailboxWins.dfm MixmastDlg.dfm MixInstDlg.dfm UPDUnzipDlg.dfm UPDateDlg.dfm \
   UPDedDlg.dfm UPDFtpDlg.dfm Wiper.dfm OpenDlgs.dfm MailboxDlgs.dfm \
   AddrEditDlgs.dfm PreferDlg.dfm HelpDlgs.dfm HelpIndexDlgs.dfm DocMsgDlg.dfm \
   DelDocsDlg.dfm View.dfm UseLibDlg.dfm PickBoxDlgs.dfm QueueDlgs.dfm \
   MixKeyImptDlgs.dfm MixKeyWins.dfm MixProbWins.dfm CpkKeyImptDlgs.dfm \
   CpkKeyWins.dfm WelcomeDlgs.dfm FirstDocsDlgs.dfm PgpKeyImptDlgs.dfm \
   PgpKeyWins.dfm MixKeyClrDlgs.dfm QSMsgBoxDlgs.dfm MixKeyDelDlgs.dfm \
   PgpKeyGenDlgs.dfm PgpKeyDelDlgs.dfm PgpKeyExpDlgs.dfm PgpKeyGenDoDlgs.dfm
LIBFILES = zlib.LIB
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\sdk\1.7.1\headers;.;$(BCB)\lib\misc;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.;$(BCB)\lib\misc;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib \
   -I.\sdk\1.7.1\headers;.;$(BCB)\lib\misc;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -W -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i.\sdk\1.7.1\headers;.;$(BCB)\lib\misc;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl 
LFLAGS = -L.;$(BCB)\lib\misc;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

